#include <iostream>
#include <cstdio>
using namespace std;
int main()
{
	int N, maksBroj;
	cin >> N >> maksBroj;
	int brojStrelica[N];
	for (int i=0; i<N; i++){
		cin >> brojStrelica[i];
	}
	if (N < maksBroj){
		cout << "0";
	}
	else {
		int brojac = 0;
		int brojPolja = 10^2;
		int vrednosti[brojPolja];
		brojPolja=0;
		for(int i=0; i<N-1; i++){
			for (int k=i+1; k<N; k++) {
				if(brojStrelica[i] == brojStrelica[k]){
					brojac++;
				}
			} 
			if (brojac +1 >= maksBroj) {
				if (brojStrelica[i] != vrednosti[brojPolja-1]){
					vrednosti[brojPolja]=brojStrelica[i];
					brojPolja++;
				}
			}
			brojac = 0;
		}
		cout << brojPolja<< "\n";
		for (int i=0; i<brojPolja;i++){
			cout << vrednosti[i] << " ";
		}
	}
	return 0;
}